/****************************************************************************
**
** Copyright (C) Datafox GmbH.
** All rights reserved.
** Contact: Datafox GmbH (develop@datafox.de)
**
** This file is part of the DFComDLL module of the Datafox SDK.
**
****************************************************************************/
#pragma once
#ifndef DATAFOX_COMMUNICATION_PROTOCOL_H
#define DATAFOX_COMMUNICATION_PROTOCOL_H

// Basisklasse einbinden.
#include "datafox/communication/protocol_crypt.h"

namespace Datafox
{
    namespace Communication
    {
        /// Basisklasse fuer pure protokollbasierte Kommunikationsaufgaben.
        class Protocol : public Protocol_crypt
        {
        public:
            Protocol( int connection_id = Connection_base::dv_connection_id, uint8_t device_address = dv_device_address );
            virtual ~Protocol();

        };

    } // namespace Communication
} // namespace Datafox

#endif
